# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_chpw_message - Get a result message for changing or setting a password.

krb5_error_code krb5_chpw_message(krb5_context context, const krb5_data *server_string, char **message_out)

param

  [in] context - Library context

  [in] server_string - Data returned from the remote system

  [out] message_out - A message displayable to the user

retval

  - 0 Success

return

  - Kerberos error codes

This function processes the server_string returned in the result_string parameter of `krb5_change_password()` , `krb5_set_password()` , and related functions, and returns a displayable string. If server_string contains Active Directory structured policy information, it will be converted into human-readable text.

Use `krb5_free_string()` to free message_out when it is no longer needed.

Note

New in 1.11